> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledger.nxos.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves the history of an asset move

The asset move history represents an immutable record of all the changes that have occurred to the asset move. This includes the creation of the
asset move, any updates to the asset move.
This endpoint retrieves this history for a specific asset move.


## OpenAPI

````yaml ledger-openapi get /v1/ledger/{ledger_key}/asset-move/{asset_move_key}/history
openapi: 3.0.0
info:
  title: Ledger API
  version: 0.0.0
servers:
  - url: https://api.sandbox.nxos.io
    description: single server endpoint
    variables: {}
security: []
tags: []
paths:
  /v1/ledger/{ledger_key}/asset-move/{asset_move_key}/history:
    get:
      summary: List Asset Move History
      operationId: AssetMoves_listAssetMoveHistory
      parameters:
        - $ref: '#/components/parameters/BasicAuthHeader'
        - $ref: '#/components/parameters/LedgerKey'
        - $ref: '#/components/parameters/AssetMoveKey'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssetMoveHistoryResponse'
components:
  parameters:
    BasicAuthHeader:
      name: Authorization
      in: header
      required: true
      description: |-
        The Basic Authentication header.
        Format: "Basic {base64(orgID:apiKey)}"
      schema:
        type: string
    LedgerKey:
      name: ledger_key
      in: path
      required: true
      description: |-
        The key of the ledger. 
        Examples: 
        - "123e4567-e89b-12d3-a456-426614174000"
        - "id:123e4567-e89b-12d3-a456-426614174000"
        - "ref:ledger:customer_a"
      schema:
        type: string
    AssetMoveKey:
      name: asset_move_key
      in: path
      required: true
      description: |-
        The key of the asset move. 
        Examples: 
        - "123e4567-e89b-12d3-a456-426614174000"
        - "id:123e4567-e89b-12d3-a456-426614174000"
        - "ref:move:transfer:account_a_to_b:2023-06-15"
      schema:
        type: string
  schemas:
    AssetMoveHistoryResponse:
      type: object
      required:
        - asset_move_id
        - source_account
        - destination_account
        - asset_code
        - history
      properties:
        asset_move_id:
          type: string
          format: uuid
          description: The unique identifier for the asset move
        asset_move_ref:
          type: string
          description: The reference of the asset move
        source_account:
          allOf:
            - $ref: '#/components/schemas/AssetMoveAccount'
          description: The representation of the source account
        destination_account:
          allOf:
            - $ref: '#/components/schemas/AssetMoveAccount'
          description: The represantation of the destination account
        asset_code:
          type: string
          minLength: 1
          description: The reference of the asset
        history:
          type: array
          items:
            $ref: '#/components/schemas/AssetMoveHistory'
    AssetMoveAccount:
      type: object
      properties:
        ref:
          type: string
          description: The user-defined reference of the account.
        id:
          type: string
          description: The system-generated ID of the account.
      description: >-
        Represents an account reference for asset moves.

        Used to specify source or destination accounts in asset movement
        operations.

        Exactly one of 'ref' or 'id' must be provided.
    AssetMoveHistory:
      type: object
      required:
        - source_ref
        - destination_ref
        - asset_move_ref
        - asset_code
        - amount_old
        - amount_new
        - status_old
        - status_new
        - type_old
        - type_new
        - categories_old
        - categories_new
        - created_at
      properties:
        source_ref:
          type: string
          minLength: 1
        destination_ref:
          type: string
          minLength: 1
        asset_move_ref:
          type: string
          minLength: 1
        asset_code:
          type: string
          minLength: 1
        amount_old:
          type: integer
          format: int64
        amount_new:
          type: integer
          format: int64
        status_old:
          type: string
        status_new:
          type: string
        type_old:
          type: string
        type_new:
          type: string
        categories_old:
          type: array
          items:
            type: string
        categories_new:
          type: array
          items:
            type: string
        created_at:
          type: string
          format: date-time

````